> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Permissions

> This endpoint will give you all of the permissions available to your organization. The permissions are categorized by section, and by subsection. The permissions available to your organization are based on the plans your organization subscribes to; and thus the features included in those plans.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /permissions
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /permissions:
    get:
      tags:
        - Custom Roles
      summary: Get Permissions
      description: >
        This endpoint will give you all of the permissions available to your
        organization. The permissions are categorized by section, and by
        subsection. The permissions available to your organization are based on
        the plans your organization subscribes to; and thus the features
        included in those plans.
      operationId: getPermissions
      parameters:
        - $ref: '#/components/parameters/query_org_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Permissions.GetSuccessResponse'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    query_org_id:
      in: query
      name: org_id
      schema:
        type: integer
      required: false
      description: >
        Organization ID. Only `PROVIDER` users can specify a different
        organization. If not provided, defaults to your own organization.
  schemas:
    Permissions.GetSuccessResponse:
      type: object
      description: Response when permissions are successfully retrieved
      properties:
        sections:
          type: array
          items:
            $ref: '#/components/schemas/Permissions.Section'
      example:
        sections:
          - name: presence
            order: 100
            subsections:
              - name: presence_pages
                order: 100
                permissions:
                  - name: business_edit
                    order: 100
                    feature: business_edition
                    depends_on: null
                    disabled_for_roles: []
                  - name: business_edit_name
                    order: 101
                    feature: business_edition
                    depends_on: business_edit
                    disabled_for_roles: []
    Permissions.Section:
      type: object
      description: Section grouping subsections
      properties:
        name:
          type: string
          example: presence
        order:
          type: integer
          example: 100
        subsections:
          type: array
          items:
            $ref: '#/components/schemas/Permissions.Subsection'
    Permissions.Subsection:
      type: object
      description: Subsection grouping permissions
      properties:
        name:
          type: string
          example: presence_pages
        order:
          type: integer
          example: 100
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/Permissions.Permission'
    Permissions.Permission:
      type: object
      description: Permission item
      properties:
        name:
          type: string
          description: Permission internal name
          example: business_edit
        order:
          type: integer
          description: Ordering value used by the UI
          example: 100
        feature:
          type: string
          description: Feature flag or product feature that gates this permission
          example: business_edition
        depends_on:
          description: >-
            If present, identifies the permission(s) that must also be granted
            for a user to have this permission.
          oneOf:
            - type: string
            - type: 'null'
          example: business_edit
        disabled_for_roles:
          type: array
          description: List of `api_id`s of roles for which this permission is disabled
          items:
            type: string
          example: []
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````